<?php 
include "functions.php";
use SAPb1\Filters\Equal;
use SAPb1\Filters\InArray;
try 
{
    session_start();

    $sap = Login();
    $ItemsList = $sap->getService("view.svc/B1_BpsProjectB1SLQuery");
    $ItemsList->headers(['Prefer' => 'odata.maxpagesize=777740']);
    $Items_result = $ItemsList->queryBuilder()
    ->select('POS,Name')
    ->where(new Equal("absentry",$codeprojet))
    ->findAll();
    $Items = json_decode(json_encode($Items_result), TRUE);
    echo json_encode($Items['value']);
// ItemCode='00211' and U_CardCode ='1005' and u_codeproject=9

} catch (Exception $e) {
    echo $e->getMessage();    
}